Skip to main content
GET
Get Transaction Source Accounts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Headers

teal-instance-id
string
required

The Teal instance ID

Query Parameters

ids
string[] | null

A comma separated list of Source Account IDs. Only return Source Accounts with the specified IDs. Returns 404 if an ID is not found, 403 if any ID is not authorized.

Response

Successful Response

id
string
required
Example:

"KdE7Q37LeQhFQCfEejfibT"

name
string
required
deprecated

Deprecated. Returns the linked ledger's name; read it from the ledger directly.

debit_credit
enum<string>
required

Whether the account is a debit or credit account.

Available options:
debit,
credit
ledger_id
string
required

The ledger ID where transactions will be posted.

type
enum<string>
required

The type of the transaction source.

Available options:
plaid,
manual
business_personal
enum<string>
required

Whether the account is a business or personal account.

Available options:
business,
personal
invert_transaction_amounts
boolean
default:false

If true transaction amounts are inverted during manual import only.